<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/mainBackColor"
    android:orientation="vertical">

    <include layout="@layout/include_base_title" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:padding="@dimen/dp_10">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:orientation="vertical">

            <RadioGroup
                android:id="@+id/dateRadioGroup"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginVertical="@dimen/dp_5"
                android:orientation="horizontal"
                android:paddingHorizontal="@dimen/dp_10">

                <RadioButton
                    android:id="@+id/dayRadioButton"
                    style="@style/dateRadioButtonStyle"
                    android:text="日" />

                <RadioButton
                    android:id="@+id/monthRadioButton"
                    style="@style/dateRadioButtonStyle"
                    android:text="月" />

                <RadioButton
                    android:id="@+id/yearRadioButton"
                    style="@style/dateRadioButtonStyle"
                    android:text="年" />
            </RadioGroup>

            <com.github.mikephil.charting.charts.LineChart
                android:id="@+id/dataLineChart"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_55"
            android:layout_marginVertical="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center">

            <ImageView
                android:id="@+id/lastDateView"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:paddingHorizontal="@dimen/dp_5"
                android:src="@drawable/ic_date_left" />

            <TextView
                android:id="@+id/dateView"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:text="--/--/--"
                android:textColor="@color/mainTextColor" />

            <ImageView
                android:id="@+id/nextDateView"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:paddingHorizontal="@dimen/dp_5"
                android:rotation="180"
                android:src="@drawable/ic_date_left" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_solid_layout_white_radius_10"
                android:orientation="vertical"
                android:paddingVertical="@dimen/dp_10">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginBottom="@dimen/dp_3"
                            android:text="当次用水量"
                            android:textColor="@color/mainTextColor" />

                        <TextView
                            android:id="@+id/onceWaterUsedView"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginTop="@dimen/dp_3"
                            android:text="0L"
                            android:textColor="@color/mainTextColor" />
                    </LinearLayout>

                    <View
                        android:layout_width="@dimen/lineViewSize"
                        android:layout_height="@dimen/dp_30"
                        android:layout_gravity="center_vertical"
                        android:background="@color/mainBackColor" />

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginBottom="@dimen/dp_3"
                            android:text="累计用水量"
                            android:textColor="@color/mainTextColor" />

                        <TextView
                            android:id="@+id/totalUsedWaterView"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginTop="@dimen/dp_3"
                            android:text="0.000t"
                            android:textColor="@color/mainTextColor" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginVertical="@dimen/dp_30">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginBottom="@dimen/dp_3"
                            android:text="当次耗气量"
                            android:textColor="@color/mainTextColor" />

                        <TextView
                            android:id="@+id/onceGasUsedView"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginTop="@dimen/dp_3"
                            android:text="0.000m³"
                            android:textColor="@color/mainTextColor" />
                    </LinearLayout>

                    <View
                        android:layout_width="@dimen/lineViewSize"
                        android:layout_height="@dimen/dp_30"
                        android:layout_gravity="center_vertical"
                        android:background="@color/mainBackColor" />

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginBottom="@dimen/dp_3"
                            android:text="累计耗气量"
                            android:textColor="@color/mainTextColor" />

                        <TextView
                            android:id="@+id/totalGasUsedView"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginTop="@dimen/dp_3"
                            android:text="0.000m³"
                            android:textColor="@color/mainTextColor" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <CheckBox
                            android:id="@+id/clearTotalWaterCheckBox"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:background="@drawable/selector_water_heater_clear_water"
                            android:button="@null" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginTop="@dimen/dp_3"
                            android:text="清除累计水量"
                            android:textColor="@color/mainTextColor" />
                    </LinearLayout>

                    <View
                        android:layout_width="@dimen/lineViewSize"
                        android:layout_height="@dimen/dp_30"
                        android:layout_gravity="center_vertical"
                        android:background="@color/mainBackColor" />

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <CheckBox
                            android:id="@+id/clearTotalGasCheckBox"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:background="@drawable/selector_water_heater_clear_gas"
                            android:button="@null" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginTop="@dimen/dp_3"
                            android:text="清除累计气量"
                            android:textColor="@color/mainTextColor" />
                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>

            <TextView
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:gravity="center"
                android:text="实际数据可能有延迟，以上数据仅作参考"
                android:textColor="@color/hintTextColor"
                android:textSize="@dimen/sp_12" />
        </LinearLayout>
    </LinearLayout>
</LinearLayout>